Package com.smartgwt.client.util

# Class PrintProperties

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.util.PrintProperties

All Implemented Interfaces:
  `HasHandlers`

public class PrintProperties extends DataClass
Settings for generating printable HTML for components.

See Also:
  - `Printing`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrintProperties()`
  `PrintProperties(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getIncludeControls()`
  An array of Strings indicating the classNames of controls that should be specifically included when printing, even if a superclass is listed in `omitControls`.
  `String[]`
  `getOmitControls()`
  An array of Strings indicating the classNames of controls that should be omitted from printing.
  `static PrintProperties`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getPrintForExport()`
  If true, generates HTML for export.
  `void`
  `setIncludeControls(String[] includeControls)`
  An array of Strings indicating the classNames of controls that should be specifically included when printing, even if a superclass is listed in `omitControls`.
  `void`
  `setOmitControls(String[] omitControls)`
  An array of Strings indicating the classNames of controls that should be omitted from printing.
  `PrintProperties`
  `setPrintForExport(Boolean printForExport)`
  If true, generates HTML for export.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PrintProperties

    public PrintProperties()

  - ### PrintProperties

    public PrintProperties(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static PrintProperties getOrCreateRef(JavaScriptObject jsObj)

  - ### setPrintForExport

    public PrintProperties setPrintForExport(Boolean printForExport)
    If true, generates HTML for export.

    Some components, specifically `DrawPane` and `FacetChart` on IE8 and earlier, need to generate different HTML for export versus in-browser print preview. When using `RPCManager.exportContent()` the printForExport property is set to true automatically. If not using RPCManager.exportContent(), but the generated HTML will be sent for export, the `PrintProperties` passed to `Canvas.getPrintHTML()` must have printForExport:true.

    Parameters:
      `printForExport` - New printForExport value. Default value is null
    Returns:
      `PrintProperties` instance, for chaining setter calls
    See Also:
      - `Printing`

  - ### getPrintForExport

    public Boolean getPrintForExport()
    If true, generates HTML for export.

    Some components, specifically `DrawPane` and `FacetChart` on IE8 and earlier, need to generate different HTML for export versus in-browser print preview. When using `RPCManager.exportContent()` the printForExport property is set to true automatically. If not using RPCManager.exportContent(), but the generated HTML will be sent for export, the `PrintProperties` passed to `Canvas.getPrintHTML()` must have printForExport:true.

    Returns:
      Current printForExport value. Default value is null
    See Also:
      - `Printing`

  - ### setOmitControls

    public void setOmitControls(String[] omitControls) throws IllegalStateException
    An array of Strings indicating the classNames of controls that should be omitted from printing. By default, `omitControls` includes all button-based controls, menus and similar interactive controls that are typically useless in printed output.

    All subclasses of the specified classes are also omitted.

    See also `includeControls`.

    Parameters:
      `omitControls` - omitControls Default value is null
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getOmitControls

    public String[] getOmitControls()
    An array of Strings indicating the classNames of controls that should be omitted from printing. By default, `omitControls` includes all button-based controls, menus and similar interactive controls that are typically useless in printed output.

    All subclasses of the specified classes are also omitted.

    See also `includeControls`.

    Returns:
      Unhandled-Array of String

  - ### setIncludeControls

    public void setIncludeControls(String[] includeControls) throws IllegalStateException
    An array of Strings indicating the classNames of controls that should be specifically included when printing, even if a superclass is listed in `omitControls`.
    Parameters:
      `includeControls` - includeControls Default value is null
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getIncludeControls

    public String[] getIncludeControls()
    An array of Strings indicating the classNames of controls that should be specifically included when printing, even if a superclass is listed in `omitControls`.
    Returns:
      Unhandled-Array of String